Bug 1780559 - CVE-2019-19579 xen: an untrusted domain with access to a physical device can DMA into host memory, leading to privilege escalation [fedora-all]
Summary: CVE-2019-19579 xen: an untrusted domain with access to a physical device can ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 31
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Michael Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-19579
TreeView+ depends on / blocked
 
Reported: 2019-12-06 11:44 UTC by Marian Rehak
Modified: 2019-12-13 01:04 UTC (History)
3 users (show)

Fixed In Version: xen-4.12.1-7 xen-4.11.2-4.fc30
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-13 01:04:12 UTC
Type: ---


Attachments (Terms of Use)

Description Marian Rehak 2019-12-06 11:44:01 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Marian Rehak 2019-12-06 11:44:04 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1780558,1780559

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Michael Young 2019-12-08 22:34:56 UTC
This is XSA-306 and is fixed in xen-4.12.1-7 (and also xen-4.11.2-4 which is still in testing).

Comment 3 Fedora Update System 2019-12-08 22:38:17 UTC
FEDORA-2019-3d7105bd2a has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3d7105bd2a

Comment 4 Fedora Update System 2019-12-12 00:11:48 UTC
FEDORA-2019-6aad703290 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6aad703290

Comment 5 Fedora Update System 2019-12-13 01:04:12 UTC
xen-4.11.2-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.